RUN-MAILCAP(1)

NAME
run-mailcap, see, edit, compose, print - execute programs via entries in the mailcap file

SYNOPSIS
run-mailcap --action=<action> [--debug=<value>] [<mime-type>:[<encoding>:]]<filename> [...] The see, edit, compose and print versions are just aliases that default to the view, edit, compose, and print actions (respectively). You can make this your default pager and/or editor by adding the following to your shell startup:
  shell file line(s) to add
  ~~~~~ ~~~~~~~~~~ ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  sh ~/.profile PAGER=/usr/bin/see; export PAGER
                     EDITOR=/usr/bin/edit; export EDITOR
  csh ~/.login setenv PAGER /usr/bin/see
                     setenv EDITOR /usr/bin/edit

DESCRIPTION

run-mailcap (or any of its aliases) will use the given action to process each mime-type/file in turn. Each file is is specified as its mime-type, its encoding (eg. compression), and filename together, separated by colons. If the mime-type is omitted, an attempt to determine the type is made by trying to match the file's extension with those in the mime.types files. If the encoding is omitted, it will also be determined from the file's extensions. Currently supported encodings are gzip (.gz) and compress (.Z). A filename of "-" can be used to mean "standard input", but then a mime-type must be specied. Both the user's files (~/.mailcap; ~/.mime.types) and the system files (/etc/mailcap; /etc/mime.types) are searched in turn for information.

  EXAMPLES
  see picture.jpg
  print output.ps.gz
  compose text/html:index.html

  OPTIONS
All options are in the form --<opt>=<value>.

--action=<action>
    Performs the specified action on the files. Valid actions are view, compose, composetyped, edit and print. If no action is specified, the action will be determined by how the program was called.

--debug=<value>
    Turns on extra information to find out what is happening. Any value other than zero (0) will turn on debugging output.

SEE ALSO
update-mime(8)

AUTHOR
run-mailcap (and its aliases) was written by Brian White <bcwhite@pobox.com>.

COPYRIGHT
run-mailcap (and its aliases) is in the public domain (the only true "free").